Issue 122132 - SVG export with wrong minimum stroke width for lines with arrow
SVG export with wrong minimum stroke width for lines with arrow
Status: VERIFIED FIXED
Product: Draw
Classification: Application
Component: save-export
4.0.0-dev
PC Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 10:18 UTC by Rainer Bielefeld
Modified: 2013-07-12 16:37 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Test Kit with source document, export result and screenshot (48.36 KB, application/x-zip-compressed)
2013-04-22 10:18 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Rainer Bielefeld 2013-04-22 10:18:21 UTC
Created attachment 80573 [details]
Test Kit with source document, export result and screenshot

I found this with server installation of "AOoo 4.0.0 – English UI [AOO400m1(Build:9700) - Rev. 1457992 - Rev.1457606]" on WIN7 Home Premium (64bit)

Steps how to reproduce:
0. Download / unzip attaches test kit
1. open attached sample.odg
2. Menu 'File -> Export -> SVG' <Export>
3. open sample.svg with FF 
   Expected: all lines "Thick" similar to line at the top
   Actual: only most top line without arrowhead thick, all other ones much
           thinner than in .odg
Comment 1 Armin Le Grand 2013-04-24 16:47:53 UTC
ALG: Quick check shows that lines with arrow ends are indeed not supported in better quality; added quick support for this.
Comment 2 Armin Le Grand 2013-04-24 17:26:24 UTC
ALG: Added the doable changes, works now.
Comment 3 SVN Robot 2013-04-24 17:36:11 UTC
"alg" committed SVN revision 1471551 into trunk:
i122132 Some simple extensions to exporter
Comment 4 Rainer Bielefeld 2013-04-26 11:34:01 UTC
I did a test with attached test kit and also some "real life work", all with server installation of  "AOOo 4.0.0-Dev – English UI / German locale [AOO400m1(Build:9700) - Rev.1476029]" on WIN7 Home Premium (64bit)", common user profile for all AOOo 4-Dev.

Problem indeed is completely fixed, thanks a lot. An there also are good news for Bug 122133